OpenVDB 7.0.0

Classes | Public Types | Public Member Functions | List of all members
MoveSegmentDataOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | Segment = Array< PointIndexType >
using | SegmentPtr = typename Segment::Ptr

## Public Member Functions
| MoveSegmentDataOp (std::vector< PointIndexType * > &indexLists, SegmentPtr *segments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Segment

using Segment = Array<PointIndexType>

## ◆ SegmentPtr

using SegmentPtr = typename Segment::Ptr

## Constructor & Destructor Documentation

## ◆ MoveSegmentDataOp()

MoveSegmentDataOp | ( | std::vector< PointIndexType * > & | indexLists,
|  | SegmentPtr * | segments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointPartitioner.h